Bug 216734 - S5520HC igb ports are broken after 311849
Summary: S5520HC igb ports are broken after 311849
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Only Me
Assignee: Sean Bruno
URL:
Keywords: IntelNetworking, regression
Depends on:
Blocks:
 
Reported: 2017-02-02 17:54 UTC by Alan Somers
Modified: 2017-02-21 00:47 UTC (History)
3 users (show)

See Also:
asomers: mfc-stable11?


Attachments
Output of "pciconf -lvbc" on the affected machine (32.46 KB, text/plain)
2017-02-02 17:54 UTC, Alan Somers
no flags Details
Output of dmidecode on the affected machine (25.78 KB, text/plain)
2017-02-02 17:55 UTC, Alan Somers
no flags Details
PBA detection for igb devices (2.00 KB, patch)
2017-02-17 16:12 UTC, Kaho Toshikazu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alan Somers freebsd_committer 2017-02-02 17:54:57 UTC
Created attachment 179538 [details]
Output of "pciconf -lvbc" on the affected machine

I have an Intel S5520HC motherboard running FreeBSD CURRENT amd64.  After r311849, the igb ports won't pass any traffic.  They won't even pass traffic after a warm reboot into an older kernel.  After booting into 311849 or later, the igb ports won't work until I pull the power cords, then boot into an older kernel.
Comment 1 Alan Somers freebsd_committer 2017-02-02 17:55:23 UTC
Created attachment 179539 [details]
Output of dmidecode on the affected machine
Comment 2 Sean Bruno freebsd_committer 2017-02-02 18:57:05 UTC
I've purchased one of these adapters and it should be here next week for validation.
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2017-02-03 11:50:10 UTC
Over to our nearest happy smiling face.
Comment 4 Kaho Toshikazu 2017-02-17 16:12:44 UTC
Created attachment 180082 [details]
PBA detection for igb devices

Please try this patch. It contains PBA detection code that the old if_igb.c has
but the new if_em.c doesn't have.
I don't have a device related this problem, and I don't test the patch.
Comment 5 commit-hook freebsd_committer 2017-02-19 05:07:06 UTC
A commit references this bug:

Author: sbruno
Date: Sun Feb 19 05:06:29 UTC 2017
New revision: 313935
URL: https://svnweb.freebsd.org/changeset/base/313935

Log:
  Restore PBA setup for igb(4) class devices.

  Do no write to PBA register on igb(4) devices unless we need
  to make adjustments for the 82575 and jumbo frames.

  Remove redundant LPE/~LPE assignments.

  Move e1000_lv_jumbo_workaround_ich8lan() invokcation into a block
  so that its not executed in the igb case.

  Move em(4) class assignments of RCTL values to its own code block.

  Adjust a few direct accesses of ifp->mtu to use accessor functions.

  PR:		216734
  Submitted by:	Kaho Toshikazu <kaho@elam.kais.kyoto-u.ac.jp>

Changes:
  head/sys/dev/e1000/if_em.c
Comment 6 Alan Somers freebsd_committer 2017-02-20 20:27:10 UTC
Thanks very much both of you!  As of r313994 my machine is fixed.  Please remember to MFC this change along with r311849, unless of course you decide not to MFC the latter change.
Comment 7 Sean Bruno freebsd_committer 2017-02-21 00:47:57 UTC
(In reply to Alan Somers from comment #6)
Ok, great.  This will *not* be MFC'd to stable as the code in question is iflib.  Thanks for testing.